package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.common.ResultData;
import com.iformall.domain.po.WxBrand;
import com.iformall.domain.po.WxBusiness;

import java.io.Serializable;
import java.util.Collection;
import java.util.List;
import java.util.Map;

public interface WxBusinessService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
	PageInfo<WxBusiness> listAsPage(WxBusiness record, Integer pageIndex, Integer pageSize);

	/**
	 * 根据实体查询列表
	 *
	 * @param record
	 * @return
	 */
	List<WxBusiness> findList(WxBusiness record);

	/**
	 * 查询全部列表
	 *
	 * @return
	 */
	List<WxBusiness> findListAll(String tenantId, Integer filter);
	
	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxBusiness getById(Integer id);

	List<WxBusiness> getByIds(Collection<? extends Serializable> ids);



	List<Map<String,Object>> businessDataList(WxBusiness wxBusiness,Long userid);

	ResultData devoteList(WxBusiness wxBusiness,Integer pageNum, Integer pageSize);



}
